Bug 2239523 - chromium chrashes with SIGILL on BTI capable systems (Apple M2)
Summary: chromium chrashes with SIGILL on BTI capable systems (Apple M2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 38
Hardware: aarch64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-18 19:27 UTC by Janne Grunau
Modified: 2023-10-02 01:24 UTC (History)
9 users (show)

Fixed In Version: chromium-117.0.5938.132-2.fc39 chromium-117.0.5938.132-1.el7 chromium-117.0.5938.132-1.fc37 chromium-117.0.5938.132-1.el9 chromium-117.0.5938.132-1.el8 chromium-117.0.5938.132-2.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-02 00:15:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
chromium.org chromium 1422204 0 None None None 2023-09-28 10:45:36 UTC

Description Janne Grunau 2023-09-18 19:27:04 UTC
Chromium crashes immediately on startup with "illegal instruction". Coredump / disassembly is not really helpful and it looks like gdb is confused. But the crash does not occur with "arm64.nobti" appended to the kernel command line. which is very strong indication that chromium is not BTI ready. Following upstream bug suggests that as well:
https://bugs.chromium.org/p/chromium/issues/detail?id=1145581#c60

Temporary solution would be to compile chromium with -mbranch-protection=none until the upstream issue is resolved.

The solution used in https://src.fedoraproject.org/rpms/webkitgtk/pull-request/3 for the bti incompatibility in webkitgtk will probaly only work until it runs on a device with PAC.

User reports are in https://discussion.fedoraproject.org/t/chromium-from-asahi-repos-crashes-everytime-on-launch-with-sigill/88281

Reproducible: Always

Steps to Reproduce:
1. Install fedora-asahi-remix on a supported apple m2 device (M2 Macbook Air/Pro 13-inch)
2. install chromium
3. start chromium-browser
Actual Results:  
chromium crashes with "illegal instruction, core dumped"

Expected Results:  
Chromium browser starts

Happens only on arm64 CPU with BTI (branch target identification) like Apple's M2.

Comment 1 Hector Martin 2023-09-28 07:58:04 UTC
More user reports: https://www.reddit.com/r/AsahiLinux/comments/16u9fnb/chromium_crashes_with_sigill_on_asahi_fedora_39/

This is probably be a release blocker for us, broken Chromium on half of our devices is not good...

Comment 2 Than Ngo 2023-09-29 12:47:27 UTC
i am working on it.

Comment 3 Than Ngo 2023-09-29 17:57:52 UTC
the workaround is included in this build, https://koji.fedoraproject.org/koji/taskinfo?taskID=106890241
Please download and test when the build is done.

Thanks

Comment 4 Hector Martin 2023-09-30 05:04:36 UTC
Confirmed fixed on J413 (M2 MacBook Air) with those packages. Thank you!

Comment 5 Fedora Update System 2023-09-30 06:17:14 UTC
FEDORA-EPEL-2023-cca1f87440 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-cca1f87440

Comment 6 Fedora Update System 2023-09-30 06:17:14 UTC
FEDORA-2023-0cd03c3746 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cd03c3746

Comment 7 Fedora Update System 2023-09-30 06:17:14 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8f3e1b6f78

Comment 8 Fedora Update System 2023-09-30 06:17:15 UTC
FEDORA-EPEL-2023-edc9c74369 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-edc9c74369

Comment 9 Fedora Update System 2023-09-30 06:17:16 UTC
FEDORA-2023-d66a01ad4f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d66a01ad4f

Comment 10 Fedora Update System 2023-10-01 04:08:30 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8f3e1b6f78

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Hector Martin 2023-10-01 04:16:46 UTC
Can we get F39 updates too? The freeze is in 2 days, would be nice to get this in before.

Comment 12 Fedora Update System 2023-10-01 04:54:41 UTC
FEDORA-2023-0cd03c3746 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0cd03c3746`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cd03c3746

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-01 05:02:15 UTC
FEDORA-EPEL-2023-edc9c74369 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-edc9c74369

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-01 05:12:52 UTC
FEDORA-EPEL-2023-cca1f87440 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-cca1f87440

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-10-01 05:13:38 UTC
FEDORA-2023-c890266d3f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c890266d3f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c890266d3f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-10-01 06:01:58 UTC
FEDORA-2023-d66a01ad4f has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d66a01ad4f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d66a01ad4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-10-02 00:15:55 UTC
FEDORA-2023-c890266d3f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-10-02 00:35:57 UTC
FEDORA-EPEL-2023-edc9c74369 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-10-02 00:40:20 UTC
FEDORA-2023-0cd03c3746 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2023-10-02 00:52:20 UTC
FEDORA-EPEL-2023-cca1f87440 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2023-10-02 00:54:23 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2023-10-02 01:24:25 UTC
FEDORA-2023-d66a01ad4f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.